---
api: 'Business API'
---

# Retrieve a list of label groups

Get available label groups based on the provided query criteria.

The label groups are sorted by the `created_at` date in reverse chronological order, and they're **paginated**.

For more details, see the guides: [Manage accounting settings](/docs/guides/manage-accounts/accounting/manage-accounting-settings) and [Manage labels and label groups](/docs/guides/manage-accounts/accounting/manage-labels-and-label-groups).

## Endpoint

GET `/label-groups`

## Parameters

### query parameters

- `limit` (integer, optional)
  The page size, that is, the maximum number of label groups to return per page.
  
  To get the next page of results, use `page_token`.

- `page_token` (string, optional)

## Returns

### 200

List of label groups

#### Response attributes

- `next_page_token` (string, optional)
    Cursor for the next page. 
    Used for pagination when the total number of results exceeds the maximum number per page.
    
    To get the next page of results, make a new request and set `page_token` to the `next_page_token` value returned in the previous response.
    :::note
    If there are no more results to fetch, `next_page_token` is not returned in the response.
    :::
- `label_groups` (array of object)
    List of label groups.
  - `label_groups[].id` (string)
      The unique ID of the label group.
  - `label_groups[].name` (string)
      The name of the label group.
  - `label_groups[].created_at` (string)
      The date and time the label group was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
  - `label_groups[].updated_at` (string)
      The date and time the label group was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request  Returned, for example, when a required parameter is missing or malformatted. |
| 401 | Unauthorized – authentication credentials are missing or invalid  Returned when the request was not fulfilled because authentication has failed or has not been provided. |
| 403 | Action forbidden - insufficient permissions to perform this action  Returned, for example, when you don't have permissions necessary to perform this action. |
| 429 | Too many requests  Returned, for example, when the rate limit has been exceeded. If the response includes the `Retry-After` instruction, please respect it and refrain from earlier retry attempts. |
| 500 | Internal server error  An unexpected application error occurred. |
| 503 | Service Unavailable  The system is temporarily unavailable. If the response includes the `Retry-After` header instruction, please respect it and refrain from earlier retry attempts. |
